GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

Information
Markets
    List prediction market eventsgetGet event by tickergetGet strike price for eventgetList newly listed eventsgetList recently settled eventsgetList upcoming eventsgetList event categoriesget
Volume
    Get daily prediction market trade volumegetGet hourly prediction market trade volumeget
Terms
    Get prediction market termsgetGet prediction market terms statusgetAccept prediction market termspost
Trading
    Place orderpostPlace a batch of orderspostCancel orderpostCancel a batch of orderspost
Positions
    Get active orderspostGet order historypostGet positionspostGet settled positionspostGet volume metricspost
Combos
    List combo contractsgetGet combo by instrument symbolget
Rewards
    Get maker-rebate rate schedulegetList maker-rebate payoutspostGet maker-rebate lifetime summarygetGet liquidity-rewards program configgetList liquidity-rewards eventsgetGet liquidity-rewards daily summarygetGet liquidity-rewards lifetime summaryget
Schemas
Gemini Prediction Markets API
Gemini Prediction Markets API

Volume

Server

Public, unauthenticated prediction-market trade volume by category and UTC period.


Get daily prediction market trade volume

GET
https://api.gemini.com
/v1/prediction-markets/volume/{date}

Returns prediction-market trade volume by category for one completed UTC day. This is a public, unauthenticated endpoint.

date must use the YYYY-MM-DD UTC calendar-date format. Requests may select one day in the rolling one-year UTC window ending before the current UTC day; the current UTC day is not available. The exact earliest supported date is evaluated for each request.

Prediction-market volume begins at 2025-12-15. A pre-launch date, or a post-launch date with any missing source hour, returns 404 NOT_FOUND. The endpoint never synthesizes zero-volume rows for time before launch.

All volume values are non-negative decimal strings. Category rows are flat and ordered with each parent before its descendants. Each category row's volume includes trades assigned directly to that category and to all descendant categories.

Get daily prediction market trade volume › path Parameters

date
​string · date · required

Completed UTC calendar date in YYYY-MM-DD format.

Get daily prediction market trade volume › Responses

Category volume for the requested UTC day

​PredictionMarketVolumeCategory[]
PredictionMarketVolumeCategory
categoryPath
​string[] · required

Display-name path from the top-level category to this category. It replaces recursive child nodes.

Example: ["Sports","Football","Pro Football"]
volume
​string · pattern: ^(?:0|[1-9][0-9]*)(?… · required

Total volume for this category, including all descendant categories.

Example: 143567.25
GET/v1/prediction-markets/volume/{date}
curl --request GET \ --url https://api.gemini.com/v1/prediction-markets/volume/:date
shell
Example Responses
[ { "categoryPath": [ "Sports" ], "volume": "200097" }, { "categoryPath": [ "Sports", "Soccer" ], "volume": "3952" } ]
json
application/json

Get hourly prediction market trade volume

GET
https://api.gemini.com
/v1/prediction-markets/volume/{date}/hourly

Returns prediction-market trade volume by category and UTC hour for one completed UTC day. This is a public, unauthenticated endpoint.

date must use the YYYY-MM-DD UTC calendar-date format. Requests may select one day in the rolling one-year UTC window ending before the current UTC day; the current UTC day is not available. The exact earliest supported date is evaluated for each request.

Prediction-market volume begins at 2025-12-15. A pre-launch date, or a post-launch date with any missing source hour, returns 404 NOT_FOUND. The endpoint never synthesizes zero-volume rows for time before launch or completed zero-volume hours.

All volume values are non-negative decimal strings. Rows are ordered by UTC hour, then with each category parent before its descendants. Each category row's volume includes trades assigned directly to that category and to all descendant categories.

Get hourly prediction market trade volume › path Parameters

date
​string · date · required

Completed UTC calendar date in YYYY-MM-DD format.

Get hourly prediction market trade volume › Responses

Hourly category volume for the requested UTC day

​PredictionMarketHourlyVolumeCategory[]
PredictionMarketHourlyVolumeCategory
periodStart
​string · date-time · required

Inclusive UTC start of this hourly period.

Example: 2026-07-20T00:00:00Z
categoryPath
​string[] · required

Display-name path from the top-level category to this category. It replaces recursive child nodes.

Example: ["Sports","Football","Pro Football"]
volume
​string · pattern: ^(?:0|[1-9][0-9]*)(?… · required

Total volume for this category in this hour, including all descendant categories.

Example: 143567.25
GET/v1/prediction-markets/volume/{date}/hourly
curl --request GET \ --url https://api.gemini.com/v1/prediction-markets/volume/:date/hourly
shell
Example Responses
[ { "periodStart": "2026-07-20T00:00:00Z", "categoryPath": [ "Sports" ], "volume": "200097" }, { "periodStart": "2026-07-20T00:00:00Z", "categoryPath": [ "Sports", "Soccer" ], "volume": "3952" } ]
json
application/json

MarketsTerms